'use strict';

require('core-js/modules/es.symbol.js');
require('core-js/modules/es.array.filter.js');
require('core-js/modules/es.object.get-own-property-descriptor.js');
require('core-js/modules/es.object.get-own-property-descriptors.js');
require('core-js/modules/es.object.keys.js');
require('core-js/modules/es.object.to-string.js');
require('core-js/modules/web.dom-collections.for-each.js');
var _defineProperty = require('@babel/runtime/helpers/defineProperty');
var PropTypes = require('prop-types');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var _defineProperty__default = /*#__PURE__*/_interopDefault(_defineProperty);
var PropTypes__default = /*#__PURE__*/_interopDefault(PropTypes);

function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty__default.default(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var ChartColorPropType = {
  color: PropTypes__default.default.shape({
    gradient: PropTypes__default.default.shape({
      colors: PropTypes__default.default.arrayOf(PropTypes__default.default.string),
      enabled: PropTypes__default.default.boolean
    }),
    pairing: PropTypes__default.default.shape({
      numberOfVariants: PropTypes__default.default.number,
      option: PropTypes__default.default.number
    }),
    scale: PropTypes__default.default.shape(PropTypes__default.default.any)
  })
};
var MeterChartPropTypes = {
  content: PropTypes__default.default.shape(_objectSpread({
    peak: PropTypes__default.default.number,
    meterTotal: PropTypes__default.default.number,
    meterUnit: PropTypes__default.default.string,
    totalFormatter: PropTypes__default.default.func,
    legendPosition: PropTypes__default.default.string
  }, ChartColorPropType)),
  data: PropTypes__default.default.arrayOf(PropTypes__default.default.shape({
    group: PropTypes__default.default.string,
    value: PropTypes__default.default.number
  }))
};
var SparklineChartPropTypes = {
  content: PropTypes__default.default.shape(_objectSpread({
    xLabel: PropTypes__default.default.string,
    yLabel: PropTypes__default.default.string,
    xProperty: PropTypes__default.default.string.isRequired,
    yProperty: PropTypes__default.default.string.isRequired,
    listContent: PropTypes__default.default.arrayOf(PropTypes__default.default.shape({
      label: PropTypes__default.default.string,
      value: PropTypes__default.default.string
    }))
  }, ChartColorPropType)),
  data: PropTypes__default.default.arrayOf(PropTypes__default.default.shape({
    group: PropTypes__default.default.string.isRequired
  }))
};
var StackedAreaChartPropTypes = {
  content: PropTypes__default.default.shape(_objectSpread({
    xLabel: PropTypes__default.default.string,
    yLabel: PropTypes__default.default.string,
    xProperty: PropTypes__default.default.string.isRequired,
    xThresholds: PropTypes__default.default.arrayOf(PropTypes__default.default.shape({
      value: PropTypes__default.default.number.isRequired,
      valueFormatter: PropTypes__default.default.func,
      label: PropTypes__default.default.string,
      fillColor: PropTypes__default.default.string
    })),
    yProperty: PropTypes__default.default.string.isRequired,
    yThresholds: PropTypes__default.default.arrayOf(PropTypes__default.default.shape({
      value: PropTypes__default.default.number.isRequired,
      valueFormatter: PropTypes__default.default.func,
      label: PropTypes__default.default.string,
      fillColor: PropTypes__default.default.string
    })),
    curve: PropTypes__default.default.string,
    legendPosition: PropTypes__default.default.oneOf(['bottom', 'left', 'right', 'top'])
  }, ChartColorPropType)),
  data: PropTypes__default.default.arrayOf(PropTypes__default.default.shape({
    group: PropTypes__default.default.string.isRequired
  }))
};

exports.ChartColorPropType = ChartColorPropType;
exports.MeterChartPropTypes = MeterChartPropTypes;
exports.SparklineChartPropTypes = SparklineChartPropTypes;
exports.StackedAreaChartPropTypes = StackedAreaChartPropTypes;
